ScriptingLangDialog Class Reference

`#include <ScriptingLangDialog.h>`

Inheritance diagram for ScriptingLangDialog:

## Public Slots

void | accept ()
void | updateLangList ()

## Public Member Functions

| ScriptingLangDialog (ScriptingEnv *env, ApplicationWindow *parent, Qt::WFlags fl=0)
Public Member Functions inherited from scripted
| scripted (ScriptingEnv *env)
void | scriptingChangeEvent (ScriptingChangeEvent *)
ScriptingEnv * | scriptingEnv ()
| ~scripted ()

## Private Attributes

QPushButton * | btnCancel
QPushButton * | btnOK
QListWidget * | langList

## Additional Inherited Members

Protected Attributes inherited from scripted
ScriptingEnv * | scriptEnv

## Constructor & Destructor Documentation

ScriptingLangDialog::ScriptingLangDialog | ( | ScriptingEnv * | env,
|  | ApplicationWindow * | parent,
|  | Qt::WFlags | fl = `0`
| ) |  |

References accept(), btnCancel, btnOK, langList, and updateLangList().

## Member Function Documentation

void ScriptingLangDialog::accept | ( |  | ) |

slot

References langList, and ApplicationWindow::setScriptingLanguage().

Referenced by ScriptingLangDialog().

void ScriptingLangDialog::updateLangList | ( |  | ) |

slot

References langList, ScriptingLangManager::languages(), and scripted::scriptEnv.

Referenced by ScriptingLangDialog().

## Member Data Documentation

QPushButton * ScriptingLangDialog::btnCancel

private

Referenced by ScriptingLangDialog().

QPushButton* ScriptingLangDialog::btnOK

private

Referenced by ScriptingLangDialog().

QListWidget* ScriptingLangDialog::langList

private

Referenced by accept(), ScriptingLangDialog(), and updateLangList().

The documentation for this class was generated from the following files:

- qtiplot/src/scripting/ScriptingLangDialog.h
- qtiplot/src/scripting/ScriptingLangDialog.cpp